Introduction Quickly assign users access to more than one resource at a time by creating and updating resource groupshttps://cloud.ibm.com/docs/account?topic=account-rgs with the IBM Cloud® Resource Manager API. You can delete any resource group only if it doesn't contain any resources, and it isn't the default resource group. When a user creates an account, a default resource group is created in the account. All IBM Cloud resources must be provisioned within a resource group. If an account is suspended, the corresponding resource group and all resources within it are also suspended. In a Lite account, a user can have only one resource group. For a Pay-As-You-Go or Subscription account, a user can create more than one resource group. To create resource instances within resource groups, see the IBM Cloud® Resource Controller APIhttps://cloud.ibm.com/apidocs/resource-controller/resource-controller. SDKs for Java, Node, Python, and Go are available to make it easier to programmatically access the API from your code. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes code examples that demonstrate how to use the client libraries. For more information about using the SDKs, see the IBM Cloud SDK Common projecthttps://github.com/IBM/ibm-cloud-sdk-common on GitHub. Installing the Java SDK Maven xml Method Path Summary GET /v2/resource_groups Get a list of all resource groups POST /v2/resource_groups Create a resource group GET /v2/resource_groups/{id} Get a resource group PATCH /v2/resource_groups/{id} Update a resource group DELETE /v2/resource_groups/{id} Delete a resource group GET /v2/quota_definitions List quota definitions GET /v2/quota_definitions/{id} Get a quota definition